using System.Diagnostics;
using System.Text.RegularExpressions;

namespace DragonVideoPlayer
{
    public static class filename
    {
        public static string FileName_repalce(string input)
        {
            try
            {
                if (string.IsNullOrEmpty(input))
                    return string.Empty;

                return Regex.Replace(input, @"[\\/:*?""<>|]", "");
            }
            catch (Exception ex)
            {
                Debug.WriteLine(ex.Message+ex.StackTrace);
                return string.Empty;
            }
        }
    }
}
